Bug 231648 - science/libxc: Update to 4.2.3
Summary: science/libxc: Update to 4.2.3
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Yuri Victorovich
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-24 01:59 UTC by Yuri Victorovich
Modified: 2018-10-20 23:33 UTC (History)
1 user (show)

See Also:


Attachments
patch (2.99 KB, patch)
2018-09-24 01:59 UTC, Yuri Victorovich
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Yuri Victorovich freebsd_committer 2018-09-24 01:59:40 UTC
Created attachment 197420 [details]
patch

Passes poudriere on 11amd64.
Comment 1 Bugzilla Automation freebsd_committer 2018-09-24 01:59:40 UTC
Maintainer informed via mail
Comment 2 Yuri Victorovich freebsd_committer 2018-10-10 06:54:29 UTC
This version appears to be faulty: https://gitlab.com/libxc/libxc/issues/66
It looks for non-existent 'config.h'.
Need to wait for the fix, next version.
Comment 3 commit-hook freebsd_committer 2018-10-20 23:29:41 UTC
A commit references this bug:

Author: yuri
Date: Sat Oct 20 23:29:31 UTC 2018
New revision: 482633
URL: https://svnweb.freebsd.org/changeset/ports/482633

Log:
  science/libxc: Update 3.0.0 -> 4.2.3

  PR:		231648
  Approved by:	dieterich@ogolem.org (maintainer's timeout; 27 days)

Changes:
  head/science/atom/Makefile
  head/science/bagel/Makefile
  head/science/jdftx/Makefile
  head/science/libgridxc/Makefile
  head/science/libxc/Makefile
  head/science/libxc/distinfo
  head/science/libxc/files/
  head/science/libxc/files/patch-src_xc.h
  head/science/libxc/pkg-descr
  head/science/libxc/pkg-plist
  head/science/madness/Makefile
  head/science/octopus/Makefile
  head/science/py-gpaw/Makefile
Comment 4 Yuri Victorovich freebsd_committer 2018-10-20 23:33:29 UTC
Committed.